apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    nginx.ingress.kubernetes.io/backend-protocol: "GRPC"
  name: minikube-ingress
  namespace: default
spec:
  rules:
  - host: zoox.echo.com
    http:
      paths:
      - backend:
          serviceName: echo-service
          servicePort: grpc
  tls:
  # This secret must exist beforehand
  # The cert must also contain the subj-name zoox.echo.com
  # https://github.com/kubernetes/ingress-nginx/blob/master/docs/examples/PREREQUISITES.md#tls-certificates
  - secretName: zoox.echo.com
    hosts:
      - zoox.echo.com